# This file created by conda-build 3.18.9
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/conda-build-3.18.9-python_2.7-on-linux_64, last modified Mon Aug 12 16:27:32 2019
# ------------------------------------------------

package:
    name: conda-build
    version: 3.18.9
source:
    patches:
        - gh3606.patch
    sha256: de6238a38aec1007d0a0ce757ac90b1d23d76d7f8494635640c0437ab7abe881
    url: https://github.com/conda/conda-build/releases/download/3.18.9/conda-build-3.18.9.tar.gz
build:
    entry_points:
        - conda-build = conda_build.cli.main_build:main
        - conda-convert = conda_build.cli.main_convert:main
        - conda-debug = conda_build.cli.main_debug:main
        - conda-develop = conda_build.cli.main_develop:main
        - conda-index = conda_build.cli.main_index:main
        - conda-inspect = conda_build.cli.main_inspect:main
        - conda-metapackage = conda_build.cli.main_metapackage:main
        - conda-render = conda_build.cli.main_render:main
        - conda-skeleton = conda_build.cli.main_skeleton:main
    number: '3'
    string: py27_3
requirements:
    host:
        - _libgcc_mutex 0.1 main
        - bzip2 1.0.8 h7b6447c_0
        - ca-certificates 2019.5.15 1
        - certifi 2019.6.16 py27_1
        - conda-package-handling 1.3.11 py27_0
        - futures 3.3.0 py27_0
        - libarchive 3.3.3 h5d8350f_5
        - libedit 3.1.20181209 hc058e9b_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 9.1.0 hdf63c60_0
        - libstdcxx-ng 9.1.0 hdf63c60_0
        - libxml2 2.9.9 hea5a465_1
        - lz4-c 1.8.1.2 h14c3975_0
        - lzo 2.10 h49e0be7_2
        - ncurses 6.1 he6710b0_1
        - openssl 1.1.1c h7b6447c_1
        - pip 19.1.1 py27_0
        - python 2.7.16 h9bab390_0
        - python-libarchive-c 2.8 py27_13
        - readline 7.0 h7b6447c_5
        - setuptools 41.0.1 py27_0
        - six 1.12.0 py27_0
        - sqlite 3.29.0 h7b6447c_0
        - tk 8.6.8 hbc83047_0
        - tqdm 4.32.1 py_0
        - wheel 0.33.4 py27_0
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h7b6447c_3
        - zstd 1.3.7 h0b5b093_0
    run:
        - beautifulsoup4
        - chardet
        - conda >=4.5
        - conda-package-handling >=1.3
        - contextlib2
        - enum34
        - filelock
        - futures
        - glob2 >=0.6
        - jinja2
        - patchelf
        - pkginfo
        - psutil
        - py-lief
        - python >=2.7,<2.8.0a0
        - pytz
        - pyyaml
        - ripgrep
        - scandir
        - setuptools
        - six
        - tqdm
    run_constrained:
        - conda-verify  >=3.1.0
test:
    commands:
        - type -P conda-build
        - conda-build -h
        - type -P conda-convert
        - conda-convert -h
        - type -P conda-develop
        - type -P conda-debug
        - conda-develop -h
        - type -P conda-index
        - conda-index -h
        - type -P conda-inspect
        - conda-inspect linkages -h \| grep "--name ENVIRONMENT"
        - conda-inspect -h
        - type -P conda-metapackage
        - conda-metapackage -h
        - type -P conda-render
        - conda-render -h
        - type -P conda-skeleton
        - conda-skeleton -h
        - python test_bdist_conda_setup.py bdist_conda --help
    files:
        - test_bdist_conda_setup.py
    imports:
        - conda_build
about:
    description: 'Conda-build contains commands and tools to allow you to build your
        own

        packages for conda.

        '
    dev_url: https://github.com/conda/conda-build
    doc_url: http://conda.pydata.org/docs/
    home: https://github.com/conda/conda-build
    license: BSD 3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: tools for building conda packages
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - CJ-Wright
        - jakirkham
        - jjhelmus
        - mingwandroid
        - msarahan
        - mwcraig
        - ocefpaf
        - patricksnape
        - pelson
        - scopatz
        - stuertz
